Home / API Documentation / Operations center / Object of notification / View notification object details

View notification object details

Requests

HTTP request

GET /apis/aiops.alauda.io/v1beta1/namespaces/{namespace}/notificationreceivers/{name}

read the specified NotificationReceiver

Path parameters

Name Type Required Description
name string Truename of the NotificationReceiver
namespace string Trueobject name and auth scope, such as for teams and projects

Query parameters

Name Type Required Description
resourceVersion string FalseWhen specified: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv.
pretty string FalseIf 'true', then the output is pretty printed.

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

NotificationReceiver is the Schema for the Servers API

{
   "apiVersion": "aiops.alauda.io/v1beta1",
   "kind": "NotificationReceiver",
   "metadata": {
     "annotations": {
       "cpaas.io/creator": "admin@cpaas.io",
       "cpaas.io/display-name": "wechat",
       "cpaas.io/updated-at": "2021-06-11T10:22:14Z"
     },
     "creationTimestamp": "2021-06-11T10:22:14Z",
     "generation": 1,
     "labels": {
       "cpaas.io/destination-md5": "ccac854043d6bd56288c8d1939512e2b",
       "cpaas.io/display-name-md5": "855a3b1b5f04a16bb093201a1e8c4910",
       "cpaas.io/type": "wechat"
     },
     "managedFields": [
       {
         "apiVersion": "aiops.alauda.io/v1beta1",
         "fieldsType": "FieldsV1",
         "fieldsV1": {
           "f:metadata": {
             "f:annotations": {
               ".": {},
               "f:cpaas.io/display-name": {}
             },
             "f:labels": {
               ".": {},
               "f:cpaas.io/type": {}
             }
           },
           "f:spec": {
             ".": {},
             "f:destination": {}
           }
         },
         "manager": "Mozilla",
         "operation": "Update",
         "time": "2021-06-11T10:22:14Z"
       }
     ],
     "name": "https---qyapi-weixin-qq-com-cgi-bin-webhook-send-key-29a3522e-8ffb-44e2-a4da-4498daee033c-4fj3k",
     "namespace": "cpaas-system",
     "resourceVersion": "10511939",
     "selfLink": "/apis/aiops.alauda.io/v1beta1/namespaces/cpaas-system/notificationreceivers/https---qyapi-weixin-qq-com-cgi-bin-webhook-send-key-29a3522e-8ffb-44e2-a4da-4498daee033c-4fj3k",
     "uid": "cd67e29e-6437-412c-8321-011333741228"
   },
   "spec": {
     "destination": "https://qyapi.weixin.qq.com/cgi-bin/webhook/send?key=29a3522e-8ffb-44e2-a4da-4498daee033c"
   }
 }

Parameters

Name Type Description
apiVersion string See common parameters
kind string See common parameters
metadata object See common parameters
spec object NotificationReceiverSpec defines the desired state of NotificationReceiver
Path: spec
spec.destination string Destination define the destination of a receiver
Path: spec.destination

Other status codes

Status code: 401

Unauthorized